VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - c -

- callSuper() : ObjCInstance
- canProcessSampleSize() : SingleComponentEffect , AudioEffect
- canResize() : CPluginView
- cardinality : ClassInfo::Data , ClassInfo
- category : ClassInfo::Data , ClassInfo
- changes : ParameterChangeTransfer
- changeSetup() : Processor
- channelBufferOwner : HostProcessData
- channelCount : EventBus
- channelIsSilent : TestDefaults
- checkIfReallocationNeeded() : HostProcessData
- checkSizeConstraint() : CPluginView
- checkState() : XmlRepresentationHelper
- chunk : Vst2xProgram , Vst2xState
- cid : PresetManager
- classCount() : PluginFactory
- classesDiscardable() : FactoryInfo
- classFlags : ClassInfo::Data , ClassInfo
- classID : PresetFile , ClassInfo::Data
- ClassInfo() : ClassInfo
- classInfo : PlugProvider
- ClassInfo : PlugProvider , ClassInfo
- classInfos() : PluginFactory
- ClassInfos : PluginFactory
- clear() : AudioBuffer< T > , EventList , ParameterValueQueue
- clear_ui() : RTTransferT< ObjectT, Deleter >
- clearAll() : AudioBuffer< T >
- clearQueue() : ParameterChanges
- close() : VSTGUIEditor
- component : PlugProvider
- Component() : Component
- ComponentBase() : ComponentBase
- componentCP : PlugProvider
- componentHandler2 : EditController
- componentNonDiscardable() : FactoryInfo
- ConfigCallback : DataExchangeHandler
- connect() : ComponentBase , ConnectionProxy
- connectComponents() : PlugProvider
- ConnectionProxy() : ConnectionProxy
- contains() : PresetFile
- controller : TestBase , EditorView , PlugProvider
- controllerCP : PlugProvider
- count : SpeakerArray
- CPluginView() : CPluginView
- create() : Module
- createBuffers() : HostProcessData
- createInstance() : PluginFactory , HostApplication
- createView() : EditController
- currentProgram : Vst2xState
- cursor : MemoryStream

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.